Status: Closed   

Priority: Normal   

Category:    

Customer: DAIMLER Product Issue

Numbers:

https://support.digitalwerk.net/projects/do

wnload-center/wiki/FAQ's#Q-ADTF-does

-not-start-on-Ubuntu-1804-

Department:  Affected Products: ADTF 2.14.2

Requester's Priority: Normal Platform: Ubuntu 18.04 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Not Supported Scope FAQ Links:  

Description

Supportanfrage

Ich habe adtf-2.14.2-linux64.run auf meinem Ubuntu 18.04 ausgeführt und adtf in den Default-Pfad ~/adtf installiert.

Leider erhalte ich beim Start folgende Fehlermeldung:

~/adtf/bin$ ./adtf_devenv

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(103): info

0x00000000: * Starting ADTF: Fri Apr  5 09:35:58 2019 

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:   

Registered class "adtf.core.media_sample". ( 1 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:   

Registered class "adtf.core.media_type". ( 2 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/adtflicense/license.cpp(115):

error 0x00000000: License error (/lhome/franthi/.adtf/adtf2.lic): License file could not be opened for reading.

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/adtflicense/license.cpp(116):

error 0x00000000: License error (/etc/adtf2.lic): License file could not be opened for reading.

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(94): info 0x00000000:

Started UCOM runtime

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(742): info

0x00000000: Sucessfully loaded library "/lhome/franthi/adtf/bin/libQtCore.so"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(734): error

0x00000000: Unable to load library "/lhome/franthi/adtf/bin/libQtGui.so"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(1034): error

0x00000000: Could not load manifest "/lhome/franthi/adtf/bin/adtf_devenv.manifest" !

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(284): error 0x00000000:

runlevel "rl_system" could not be reached! try to fall back to last stable runlevel "rl_shutdown"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:   

Unregistered class "adtf.core.media_sample". ( 1 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:   

Unregistered class "adtf.core.media_type". ( 0 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(111): info 0x00000000:

Stopped UCOM runtime

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(299): info 0x00000000:

fall back to runlevel "rl_shutdown" succeeded! Return with error anyway!

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(576): info

0x00000000:  ADTF stopped: Fri Apr  5 09:35:58 2019 *

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(737): exception

0x00000003: Unable to load library "/lhome/franthi/adtf/bin/libQtGui.so"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/tools/adtfdevenv/../launcher/main.cpp(521):

info 0x00000000: ADTF exits with code: -3

 /opt/jenkins existiert in meinem Fall nicht, weshalb ich mich wundere wie es zu dieser Fehlermeldung kommen kann.
Können Sie mir bei der Fehlerbehebung weiterhelfen?

Lösung

Siehe ADTF does not start on Ubuntu 1804

History

#1 - 2019-04-09 10:02 - hidden

Problem hat sich durch eine Aktualisierung von Ubuntu 18.04 gelöst.

ADTF startet inzwischen fehlerfrei.

#3 - 2019-04-09 13:24 - hidden

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Common

- Customer set to DAIMLER

- Affected Products ADTF 2.14.2 added

- Platform Ubuntu 18.04 64bit added

Hallo Thiemo Frank,

eine Ursache dürfte auch die Lizenz gewesen sein.

War dies eine grundsätzliche Aktualisierung oder wurde etwas speziell aktualisiert?

Können wir das Support Ticket damit wieder schließen?

#4 - 2019-04-09 16:30 - hidden

Hallo Herr Fick-Gredler,

in Summe sind knapp 600 Pakete aktualisiert worden. Eine Zuordnung welches Paket die Störung gelöst hat ist dadurch leider nicht möglich.

Die fehlende Lizenz hing mit dem Fehlerbild nicht zusammen.

Dennoch vielen Dank für Ihre Rückmeldung.

Mit freundlichen Grüßen

Thiemo Frank

#5 - 2019-04-09 17:38 - hidden

- Subject changed from Installation von ADTF 2.14.2 auf Ubuntu 18.04 to Could not run ADTF 2.14.2 on Ubuntu 18.04

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Not Supported Scope

- Product Issue Numbers set to https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-ADTF-does-not-start-on-Ubuntu-1804-

Ich denke es war das libpng12 Problem auf Ubuntu 18.04, siehe ADTF does not start on Ubuntu 1804

PS: /opt/jenkins existiert in meinem Fall nicht, weshalb ich mich wundere wie es zu dieser Fehlermeldung kommen kann.

Das ist der Pfad mit der die Lieferung gebaut wurde und im Plugn natürlich fest einkompiliert, ganz normal.

#6 - 2019-07-19 08:05 - hidden

- Status changed from To Be Closed to Closed
